NewWacht Bench is live — AI-assisted development for Wacht

Upload Knowledge Base Document

POST
/ai/knowledge-bases/{kb_id}/documents

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

kb_id*string

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.wacht.dev/ai/knowledge-bases/string/documents" \  -F file="string"
{
  "id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "title": "string",
  "description": "string",
  "file_name": "string",
  "file_size": 0,
  "file_type": "string",
  "storage_object_key": "string",
  "knowledge_base_id": "string",
  "processing_metadata": null
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}